# Автоматизация селфхостинга

Все привыкли к завершенным сервисам, в которых функционал лаконично разложен по вкладкам и кнопкам пользовательского интерфейса. Проект SelfPrivacy взял на себя задачу упрощения селфхостинга до такого же уровня: интуитивно понятные кнопки, минимум сложных терминов и дружелюбный интерфейс вместо черного окна с командной строкой.

Мы считаем, что свободное программное обеспечение и культура селфхостинга — важный аспект жизни каждого человека в эпоху глобальной цифровизации. Наша цель и желание — сделать селфхостинг доступным для каждого желающего вне зависимости от его специальных навыков.

Приложение SelfPrivacy будет Вашим верным системным администратором, с которым легко общаться через графический интерфейс на смартфоне, ПК или с любого устройства, которое способно открыть современный веб-браузер.

Работа нашего приложения основана на API (Application Programming Interface) хостинг-провайдеров и отдельных программ, которые позволяют взаимодействовать с арендованным сервером через специальные запросы, тем самым выполняя различные действия вроде установки приложения или конфигурации сети. У SelfPrivacy нет секретов от пользователя: все действия прозрачны и [задокументированы](https://wiki.selfprivacy.org/). SelfPrivacy не является приложением "самим в себе", все его действия можно повторить вручную, открыв панели управления хостеров и терминал для SSH-подключения. Мы лишь упрощаем то, что может отпугнуть неподготовленного человека.
